...
 
Commits (20)
fenix-plugins (0.0.20070803-8) UNRELEASED; urgency=medium
* Add the 02-pkg-config-freetype patch to fix a FTBFS.
Closes: #892343, #919340
* Remove the obsolete Lintian override about the armhf architecture.
* Bring up to compliance with Debian Policy 4.3.0:
- point the Vcs-* fields to the Salsa repository
- switch some upstream and Debian URLs to the HTTPS scheme
- switch priority to "optional" from "extra"
- add "Rules-Requires-Root: no" to the source control stanza
* Add a trivial git-buildpackage config file.
* Remove some trailing whitespace from the changelog file.
* Use my Debian e-mail address.
* Add the year 2019 to my debian/* copyright notice.
* Update to debhelper compatibility level 12:
- let debhelper handle autoreconf
- disable the parallel build
- use the debhelper-compat (= 12) method
* Add a simple autopkgtest running the upstream tests.
* Add the 03-cppcheck patch to fix some memory leaks.
-- Peter Pentchev <roam@debian.org> Wed, 13 Feb 2019 16:32:19 +0200
fenix-plugins (0.0.20070803-7) unstable; urgency=medium
[ Peter Pentchev ]
......@@ -110,4 +133,3 @@ fenix-plugins (0.0.20070803-1) unstable; urgency=low
* Initial release.
-- Miriam Ruiz <little_miry@yahoo.es> Wed, 01 Aug 2007 20:05:56 +0000
Source: fenix-plugins
Section: devel
Priority: extra
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Barry deFreese <bdefreese@debian.org>,
Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>= 9), dh-autoreconf,
Peter Pentchev <roam@debian.org>
Build-Depends: debhelper-compat (= 12),
zlib1g-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-mixer1.2-dev,
libsmpeg-dev, libfreetype6-dev, fenix, fenix-dev
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-games/fenix-plugins.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/fenix-plugins.git
Homepage: http://fenix.divsite.net/
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/games-team/fenix-plugins.git
Vcs-Browser: https://salsa.debian.org/games-team/fenix-plugins
Homepage: https://fenix.divsite.net/
Rules-Requires-Root: no
Package: fenix-plugins
Architecture: arm armel armhf hppa i386 kfreebsd-i386 hurd-i386 m68k mips mipsel sh4 powerpc s390 sparc
......
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: fenix-plugins
Upstream-Contact: Fenix Team <fenix@divsite.net>
Source: http://sourceforge.net/projects/fenix
Source: https://sourceforge.net/projects/fenix
License: GPL-2+
Files: *
......@@ -30,7 +30,7 @@ License: PD-fsock-net-ejemplos
Files: debian/*
Copyright:
© 2007 Miriam Ruiz <little_miry@yahoo.es>
© 2011, 2015 Peter Pentchev <roam@ringlet.net>
© 2011, 2015, 2019 Peter Pentchev <roam@debian.org>
License: GPL-2+
License: GPL-2+
......
[DEFAULT]
pristine-tar = True
sign-tags = True
debian-branch = master
upstream-branch = upstream
Description: Use pkg-config to check for freetype2.
Bug-Debian: https://bugs.debian.org/892343
Bug-Debian: https://bugs.debian.org/919340
Forwarded: no
Author: Peter Pentchev <roam@ringlet.net>
Last-Update: 2019-02-13
--- a/ttf-1.0/Makefile.am
+++ b/ttf-1.0/Makefile.am
@@ -5,9 +5,9 @@
lib_LTLIBRARIES = libttf.la
libttf_la_SOURCES = ttf.c
-libttf_la_CFLAGS = $(SDL_CFLAGS) $(FT2_CFLAGS) -DUSE_FREETYPE2_STATIC
+libttf_la_CFLAGS = $(SDL_CFLAGS) $(FREETYPE_CFLAGS) -DUSE_FREETYPE2_STATIC
libttf_la_LDFLAGS = -s -module -no-undefined -avoid-version -export-symbols fenixdll.sym
-libttf_la_LIBADD = $(LIBADD_DL) $(SDL_LIBS) $(FT2_LIBS)
+libttf_la_LIBADD = $(LIBADD_DL) $(SDL_LIBS) $(FREETYPE_LIBS)
## Make sure these will be cleaned even when they're not built by
## default.
--- a/ttf-1.0/configure.ac
+++ b/ttf-1.0/configure.ac
@@ -33,10 +33,12 @@
# Check for SDL library
SDL_VERSION=1.2.0
AM_PATH_SDL($SDL_VERSION,:,AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!]))
-AC_CHECK_FT2
# Checks for libraries.
-AC_CHECK_LIB(freetype, FT_Init_FreeType)
+PKG_CHECK_MODULES(FREETYPE, freetype2)
+AC_SUBST(FREETYPE_CFLAGS)
+AC_SUBST(FREETYPE_LIBS)
+
AC_CHECK_LIB([SDL], SDL_Init)
AC_CHECK_LIB(z, gzsetparams,, [AC_MSG_ERROR(zlib library not found)])
Description: Fix a couple of memory leaks.
Forwarded: no
Author: Peter Pentchev <roam@ringlet.net>
Last-Update: 2019-02-13
--- a/mixer-1.0/wav.c
+++ b/mixer-1.0/wav.c
@@ -131,6 +131,7 @@
if (wFormatTag!=1) {
file_close_mixer(fp);
+ free (signal);
return NULL;
}
@@ -147,12 +148,14 @@
} else {
file_close_mixer (fp);
+ free (signal);
return NULL;
}
} else {
file_close_mixer (fp);
+ free (signal);
return NULL;
}
--- a/ttf-1.0/ttf.c
+++ b/ttf-1.0/ttf.c
@@ -142,13 +142,15 @@
break;
allocated += 4096;
- buffer = realloc (buffer, allocated);
- if (buffer == NULL)
+ char * const new_buffer = realloc (buffer, allocated);
+ if (new_buffer == NULL)
{
gr_error ("gr_load_ttf: sin memoria");
file_close (fp);
+ free (buffer);
return -1;
}
+ buffer = new_buffer;
}
file_close(fp);
01-fullclean.patch
02-pkg-config-freetype.patch
03-cppcheck.patch
......@@ -28,4 +28,4 @@ override_dh_auto_clean:
override_dh_makeshlibs:
%:
dh $@ --with autoreconf
dh $@ --no-parallel
# This will go away once the ARM Hard Float goes official :)
unknown-architecture armhf
# The allow-stderr restriction would be needed even if the script did not
# enable `set -o xtrace`, since the Fenix compiler likes to output its
# progress to the standard error stream instead of the standard output one.
# This may be fixed in the future, but for the present it is what it is.
#
Tests: upstream.sh
Depends: @, fenix, make
Restrictions: allow-stderr
#!/bin/sh
set -e
set -x
unset tempd cleanup_err
cleanup() {
local res="$?"
local arg="$1"
if [ -n "$tempd" ]; then
rm -rf -- "$tempd"
unset tempd
fi
if [ "$arg" -eq 0 ] && [ -n "$res" ]; then
arg="$res"
fi
: "${cleanup_err:=$arg}"
exit "$cleanup_err"
}
trap 'cleanup 0' EXIT
trap 'cleanup 2' QUIT TERM INT HUP
srcdir="$(pwd)"
tempd="$(mktemp -t -d plugins-test.XXXXXX)"
cd -- "$tempd"
ln -s /usr/lib/fenix/plugins .
cp -- "$srcdir/Makefile" .
make check
rm plugins
sed -i -e 's@plugins/@@' test_load.prg
cat test_load.prg
rm test_load.dcb
make test_load.dcb